/* 
 * $RCSfile: sim_ether_i.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993 Massachusetts Board of Regents
 *
 * $Log: sim_ether_i.h,v $
 * Revision 1.2  1996/01/30  20:49:43  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/29  02:38:26  slm
 * Initial revision
 *
 * Revision 1.2.1.1.1.1  1994/11/12  19:07:57  hkaram
 * New branch
 *
 * Revision 1.2.1.1  1994/03/14  21:01:32  umass
 * Increased RCVBUF and modified MTU
 *
 * Revision 1.2  1993/11/13  00:45:27  menze
 * Original version from UMass
 *
 * 1.2
 * 1993/08/03 19:52:10
 */

#define SIMETH_MAX_INSTANCES	5
#define MAX_ETH_WARM_POOL 10

#define MAX_ERROR_COUNT 1000

#define RCVBUFSIZE 		((64*1024) - 16)
#define MAX_ETH_PACKET_SIZE 	(MAX_ETH_DATA_SZ + sizeof(ETHhdr))

/* 
 * The MTU is tuned to minimize number of socket reads in ping-pong tests
 * at packet sizes of 8000, 16000, etc.  Note that
 *
 *   42 bytes (for sim driver) =   14 bytes (for SIMETH MAC overhead) +
 *                                  8 bytes (for IRIX UDP header) +
 *                                 20 bytes (for IRIX IP header)
 */

#define ETH_MTU_SIZE	(MAX_ETH_DATA_SZ - 42)

typedef struct {
    char	*buf;
    int		len;
    int		sock;
} EthMsg;

typedef struct {
    Protl	arp;
    int		sock;
    int		port;
    ETHhost	myHost;
    int		errorCount;
    int		mtu;
} PState;

