/* 
 * $RCSfile: xk_lock.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993  Massachusetts Board of Regents
 * 
 * $Log: xk_lock.h,v $
 * Revision 1.2  1996/01/30  20:51:19  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/29  02:40:49  slm
 * Initial revision
 *
 * Revision 1.2.1.1  1994/11/12  19:10:53  hkaram
 * New branch
 *
 * Revision 1.2  1994/03/14  21:54:05  umass
 * comment change
 *
 * Revision 1.1  1993/12/16  02:04:01  menze
 * Initial revision
 */


#ifndef xk_lock_h
#define xk_lock_h
/*
 *      We don't need these include files yet, but when we inline ussetlock 
 *      and usunsetlock later, we will.
 */
#include <ulocks.h>
#include <task.h>

void * 	irixLockAllocate();
void	irixLockAcquire(void *);
void	irixLockRelease(void *);
void	irixLockFree(void *);

#ifdef  MULTIPROCESSOR

#define xLockAllocate()		irixLockAllocate()
#define xLockInit(lock)		
#define xLockAcquire(lock)	irixLockAcquire(lock)
#define xLockRelease(lock)	irixLockRelease(lock)
#define xLockFree(lock)		irixLockFree(lock)
#else
#define xLockAllocate()		((void *) 0)
#define xLockInit(lock)		
#define xLockAcquire(lock)	
#define xLockRelease(lock)	
#define xLockFree(lock)		

#endif /* MULTIPROCESSOR */

#endif /* xk_lock_h */
