/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: alpha_asm.h,v $
 *
 * HISTORY
 * $Log: alpha_asm.h,v $
 * Revision 1.1  1996/01/30  22:55:35  slm
 * Initial revision
 *
 * Revision 1.2.1.1  1994/12/03  00:00:22  hkaram
 * New branch
 *
 * Revision 1.2  1994/06/11  00:02:49  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:59:58  davidm
 * Initial revision
 */
/*
 * Interrupt stack frame definition for assembler.
 */
#ifndef alpha_asm_h
#define alpha_asm_h

/* format interrupt stack frame as created by interrupt handler: */

#define IF_V0	0x00
#define IF_T0	0x08
#define IF_T1	0x10
#define IF_T2	0x18
#define IF_T3	0x20
#define IF_T4	0x28
#define IF_T5	0x30
#define IF_T6	0x38
#define IF_T7	0x40
#define IF_S0	0x48
#define IF_S1	0x50
#define IF_S2	0x58
#define IF_S3	0x60
#define IF_S4	0x68
#define IF_S5	0x70
#define IF_S6	0x78
#define IF_A3	0x80
#define IF_A4	0x88
#define IF_A5	0x90
#define IF_T8	0x98
#define IF_T9	0xa0
#define IF_T10	0xa8
#define IF_T11	0xb0
#define IF_RA	0xb8
#define IF_T12	0xc0
#define IF_AT	0xc8
#define IF_SIZE	0xd0

/* format of PAL stack frame as created in response to an interrupt: */
#define PF_PS	0x00
#define PF_PC	0x08
#define PF_GP	0x10
#define PF_A0	0x18
#define PF_A1	0x20
#define PF_A2	0x28
#define PF_SIZE	0x30

#endif /* alpha_asm_h */
